module Constants (programName,programVersion,configFilePath
                 ,tmpFilePath
                 )
    where

import Control.Applicative ((<$>))
import System.Directory (getAppUserDataDirectory,getTemporaryDirectory)
import System.FilePath (combine,(</>))

programName :: String
programName = "lhae"

programVersion :: String
programVersion = "0.0"

configFilePath :: IO FilePath
configFilePath = do 
  appDir <- getAppUserDataDirectory programName
  return $ appDir </> "config"

tmpFilePath :: String -> IO FilePath
tmpFilePath fileName = 
    combine `flip` fileName <$> getTemporaryDirectory
